Package ch.qos.logback.core.pattern

# Class FormattingConverter<E>

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>

Direct Known Subclasses:
  `DynamicConverter`

public abstract class FormattingConverter<E> extends Converter<E>

## Constructor Summary

Constructors
Constructor
Description
`FormattingConverter()`

## Method Summary

Modifier and Type
Method
Description
`final FormatInfo`
`getFormattingInfo()`
`final void`
`setFormattingInfo(FormatInfo formattingInfo)`
`final void`
`write(StringBuilder buf, E event)`
In its simplest incarnation, a convert simply appends the data extracted from the event to the buffer passed as parameter.

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`convert, getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormattingConverter

public FormattingConverter()

## Method Details

### getFormattingInfo

public final FormatInfo getFormattingInfo()

### setFormattingInfo

public final void setFormattingInfo(FormatInfo formattingInfo)

### write

public final void write(StringBuilder buf, E event)
Description copied from class: `Converter`
In its simplest incarnation, a convert simply appends the data extracted from the event to the buffer passed as parameter.

Overrides:
  `write` in class `Converter<E>`
Parameters:
  `buf` - The input buffer where data is appended
  `event` - The event from where data is extracted